Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Object
- orion
- orion.breadcrumbs.BreadCrumbs
- orion.commands.Command
- orion.commands.CommandService
- orion.compare.DiffProvider
- orion.compare.rulers.CompareOverviewRuler
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.dialogs.DialogService
- orion.editor.AbstractStyler
- orion.editor.ContentAssist
- orion.editor.Editor
- orion.editor.HtmlGrammar
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.TextMateStyler
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.favorites.Favorites
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitClonesExplorer
- orion.git.GitClonesModel
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.globalCommands
- orion.log.LogService
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.searchClient.Searcher
- orion.searchResults.SearchResultsGenerator
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.status.StatusReportingService
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.KeyBinding
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- String

# Namespace orion

The global container for Orion APIs.
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.editor/web/orion/textview/textView.js>.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | orion.CompareMatchRenderer
<static> | orion.CompareMergeModel
<static> | orion.CompareMergeOverviewRuler
<static> | orion.CompareMergeUIFactory
<static> | orion.CompareOverviewRuler
<static> | orion.CompareRuler
<static> | orion.CompareTextModel
<static> | orion.DiffLineFeeder
<static> | orion.DiffParser
<static> | orion.DiffProvider
<static> | orion.GapLineFeeder
<static> | orion.GapTextModel
<static> | orion.GitCommitZoneRenderer
<static> | orion.GitLogTableRenderer
<static> | orion.GitStatusContentRenderer
<static> | orion.GitStatusController
<static> | orion.GitStatusModel
<static> | orion.GitStatusTableRenderer
<static> | orion.InlineCompareRenderer
<static> | orion.JSTestAdapter
<static> | orion.LineNumberCompareRuler
<static> | orion.siteUtils This class contains static utility methods for dealing with sites.

Namespace Detail
orion
Field Detail
<static> orion.CompareMatchRenderer
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/rulers.js>.

<static> orion.CompareMergeModel
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/compare-m-model.js>.

<static> orion.CompareMergeOverviewRuler
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/rulers.js>.

<static> orion.CompareMergeUIFactory
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/compare-features.js>.

<static> orion.CompareOverviewRuler
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/rulers.js>.

<static> orion.CompareRuler
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/rulers.js>.

<static> orion.CompareTextModel
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/compare-model.js>.

<static> orion.DiffLineFeeder
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/compare-model.js>.

<static> orion.DiffParser
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/diff-parser.js>.

<static> orion.DiffProvider
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/diff-provider.js>.

<static> orion.GapLineFeeder
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/compare-model.js>.

<static> orion.GapTextModel
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/gap-model.js>.

<static> orion.GitCommitZoneRenderer
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.git/web/orion/git/git-status-table.js>.

<static> orion.GitLogTableRenderer
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.git/web/orion/git/git-status-table.js>.

<static> orion.GitStatusContentRenderer
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.git/web/orion/git/git-status-table.js>.

<static> orion.GitStatusController
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.git/web/orion/git/git-status-table.js>.

<static> orion.GitStatusModel
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.git/web/orion/git/git-status-table.js>.

<static> orion.GitStatusTableRenderer
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.git/web/orion/git/git-status-table.js>.

<static> orion.InlineCompareRenderer
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.git/web/orion/git/git-status-table.js>.

<static> orion.JSTestAdapter
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/asyncTestWrapper.js>.

<static> orion.LineNumberCompareRuler
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/compare/rulers.js>.

<static> orion.siteUtils
This class contains static utility methods for dealing with sites.
Defined in: </shared/eclipse/e4/orion/I201106270200/plugins/org.eclipse.orion.client.core/web/orion/siteUtils.js>.

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Jun 27 2011 02:03:40 GMT-0400 (EDT)